Documentation

Progress

Get my enrollments

Returns all enrollments for the current user with course details.

ProductionStagingUAT
GEThttps://ankiren.com/api/me/enrollments

Responses

200 · List of enrollments

  • enrollments[EnrollmentWithCourse]
    • idinteger
    • userIdstring
    • courseIdinteger
    • status"active" | "completed" | "dropped"
    • enrolledAtstring<date-time>
      format: date-time
    • completedAtstring<date-time>?
      format: date-time
    • courseCourse
application/json
{
  "enrollments": [
    {
      "id": 1,
      "userId": "user_abc123",
      "courseId": 1,
      "status": "active",
      "enrolledAt": "2025-01-01T00:00:00Z",
      "completedAt": "2026-01-01T00:00:00.000Z",
      "course": {
        "id": 1,
        "name": "Japanese N5 Course",
        "description": "Beginner Japanese language course",
        "imageUrl": "https://example.com/images/n5-course.jpg",
        "status": "published",
        "createdBy": "user_abc123",
        "createdAt": "2025-01-01T00:00:00Z",
        "updatedAt": "2025-01-15T00:00:00Z"
      }
    }
  ]
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://ankiren.com/api/me/enrollments' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'